Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core.format
Class DataFormatMatcher

    java.lang.Object
      com.fasterxml.jackson.core.format.DataFormatMatcher

    public class DataFormatMatcher

extends Object

Result object constructed by `DataFormatDetector` when requested to detect format of given input data.

Field Summary
`protected byte[]` | `_bufferedData` Content read during format matching process
`protected int` | `_bufferedLength` Number of bytes in `_bufferedData` that were read.
`protected JsonFactory` | `_match` Factory that produced sufficient match (if any)
`protected MatchStrength` | `_matchStrength` Strength of match with `_match`
`protected InputStream` | `_originalStream`

Constructor Summary
`protected` | `DataFormatMatcher(InputStream in, byte[] buffered, int bufferedLength, JsonFactory match, MatchStrength strength)`

Method Summary
`JsonParser` | `createParserWithMatch()` Convenience method for trying to construct a `JsonParser` for parsing content which is assumed to be in detected data format.
`InputStream` | `getDataStream()` Method to use for accessing input for which format detection has been done.
`JsonFactory` | `getMatch()` Accessor for `JsonFactory` that represents format that data matched.
`String` | `getMatchedFormatName()` Accessor for getting brief textual name of matched format if any (null if none).
`MatchStrength` | `getMatchStrength()` Method for accessing strength of the match, if any; if no match, will return `MatchStrength.INCONCLUSIVE`.
`boolean` | `hasMatch()` Accessor to use to see if any formats matched well enough with the input data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _originalStream

    protected final InputStream _originalStream

### _bufferedData

    protected final byte[] _bufferedData

  Content read during format matching process

### _bufferedLength

    protected final int _bufferedLength

  Number of bytes in `_bufferedData` that were read.

### _match

    protected final JsonFactory _match

  Factory that produced sufficient match (if any)

### _matchStrength

    protected final MatchStrength _matchStrength

  Strength of match with `_match`

Constructor Detail

### DataFormatMatcher

    protected DataFormatMatcher(InputStream in,
                                byte[] buffered,
                                int bufferedLength,
                                JsonFactory match,
                                MatchStrength strength)

Method Detail

### hasMatch

    public boolean hasMatch()

  Accessor to use to see if any formats matched well enough with the input data.

### getMatchStrength

    public MatchStrength getMatchStrength()

  Method for accessing strength of the match, if any; if no match, will return `MatchStrength.INCONCLUSIVE`.

### getMatch

    public JsonFactory getMatch()

  Accessor for `JsonFactory` that represents format that data matched.

### getMatchedFormatName

    public String getMatchedFormatName()

  Accessor for getting brief textual name of matched format if any (null if none). Equivalent to:

         return hasMatch() ? getMatch().getFormatName() : null;

### createParserWithMatch

    public JsonParser createParserWithMatch()
                                     throws IOException

  Convenience method for trying to construct a `JsonParser` for parsing content which is assumed to be in detected data format. If no match was found, returns null.

  Throws:
    `IOException`

### getDataStream

    public InputStream getDataStream()

  Method to use for accessing input for which format detection has been done. This must be used instead of using stream passed to detector unless given stream itself can do buffering. Stream will return all content that was read during matching process, as well as remaining contents of the underlying stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.